Stepper hole for lid

This commit is contained in:
Christian Colglazier 2022-05-23 21:12:36 -04:00
parent eec716f890
commit 5ae68fb72d

View File

@ -37,6 +37,7 @@ rod_diameter= 15.2
offset= 9
tab_height= 6
tab_width= 25
lid_stepper_hole= 5.5
# Gears
mod= 0.8
@ -163,7 +164,7 @@ lid = lid.add(copy)
lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1])\
.circle(sg_radius+mod).extrude(lid_thicknesss-wall_width)
lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll()
lid = lid.faces('>Z[0]').workplane().circle(lid_stepper_hole/2).cutThruAll()
base = base.faces('<Z[1]').workplane().center(lg_x, lg_y).circle(lg_radius+2*mod).cutBlind(-gear_thinkness-gear_gap)
base = base.faces('<Z[2]').workplane().circle(support_radius).extrude(-lid_thicknesss+wall_width)